<?php

class intellectmoneyredirectModuleFrontController extends ModuleFrontController
{
	public function initContent()
	{
		parent::initContent();
		$eshopId = $this->context->cart->id;
		$cart = New Cart($eshopId);// Объект корзины
		$intellectmoney = new intellectmoney();//Объект intellectmoney
		$recipientAmount = $cart->getOrderTotal(true, Cart::BOTH);//Сумма заказа
		$intellectmoney->validateOrder($cart->id, Configuration::get('PS_OS_CHEQUE'),$recipientAmount, $intellectmoney->displayName);//Создание заказа с статусом ожидаем оплату
		$eshopId = Tools::safeOutput(Configuration::get('IM_eshopId')); //номер поставщика
		$secretKey = Tools::safeOutput(Configuration::get('IM_secretKey')); //ключ
		$recipientCurrency = Tools::safeOutput(Configuration::get('IM_recipientCurrency')); // валюта
                if ($recipientCurrency !== 'TST'){
                    $recipientCurrency = new Currency($cart->id_currency);
                    $recipientCurrency = $recipientCurrency->iso_code;
                }
                $customer = new Customer((int)$cart->id_customer);
	$userEmail = $customer->email;
                $holdMode = Tools::safeOutput(Configuration::get('IM_holdMode'));
                if ($holdMode == true) {
                    $day = Tools::safeOutput(Configuration::get('IM_expireDate'));
                    $expireDate = date('Y-m-d H:i:00', strtotime('+' . $day . ' hours'));
					$holdMode = 1;
                }
                else {
                   $holdMode = 0; 
                }
                $control_hash_str = implode('::', array($eshopId, $cart->id, 'Оплата заказа №'.$cart->id, $recipientAmount, $recipientCurrency, $secretKey));        
		$hash = md5($control_hash_str);
                //$customer = new Customer((int)$this->context->cart->id_customer);
//		$products = $cart->getProducts();//Описание продукта
		$this->context->smarty->assign(array(
			'eshopId' => $eshopId,
			//'EP_Expires' => Tools::safeOutput(Configuration::get('EASYPAY_EXPIRES')),
			'recipientAmount' => $recipientAmount,
			'orderId' =>$cart->id,
			'serviceName' => 'Оплата заказа №'.$cart->id,
                        'recipientCurrency' => $recipientCurrency,
                        'userEmail' => $userEmail,
                        'holdMode' => $holdMode,
                        'expireDate' => $expireDate,
			'hash' => $hash,
		));
        $this->setTemplate('module:intellectmoney/views/templates/front/redirect.tpl');
	}
}

?>